JUCE: juce::midi_ci::Message::DynamicSizePropertyExchange Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::DynamicSizePropertyExchange Struct Reference
juce_midi_ci » ci

A property-exchange message that may form part of a multi-chunk message sequence. More...

`#include <juce_CIMessages.h>`

Inheritance diagram for juce::midi_ci::Message::DynamicSizePropertyExchange:

## Public Member Functions
auto | tie () const

## Public Attributes
std::byte | requestID {}
Span< const std::byte > | header
uint16_t | totalNumChunks {}
uint16_t | thisChunkNum {}
Span< const std::byte > | data

## Detailed Description

A property-exchange message that may form part of a multi-chunk message sequence.

## Member Function Documentation

## ◆ tie()

auto juce::midi_ci::Message::DynamicSizePropertyExchange::tie | ( |  | ) | const

References data, header, requestID, thisChunkNum, and totalNumChunks.

Referenced by juce::midi_ci::Message::PropertyGetDataResponse::operator==(), juce::midi_ci::Message::PropertyNotify::operator==(), juce::midi_ci::Message::PropertySetData::operator==(), juce::midi_ci::Message::PropertySubscribe::operator==(), and juce::midi_ci::Message::PropertySubscribeResponse::operator==().

## Member Data Documentation

## ◆ requestID

std::byte juce::midi_ci::Message::DynamicSizePropertyExchange::requestID {}

Referenced by tie().

## ◆ header

Span<const std::byte> juce::midi_ci::Message::DynamicSizePropertyExchange::header

Referenced by tie().

## ◆ totalNumChunks

uint16_t juce::midi_ci::Message::DynamicSizePropertyExchange::totalNumChunks {}

Referenced by tie().

## ◆ thisChunkNum

uint16_t juce::midi_ci::Message::DynamicSizePropertyExchange::thisChunkNum {}

Referenced by tie().

## ◆ data

Span<const std::byte> juce::midi_ci::Message::DynamicSizePropertyExchange::data

Referenced by tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h